List a policy's compliance alerts
curl --request GET \
--url https://api.korint.io/policies/{policyId}/compliance/alerts \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/policies/{policyId}/compliance/alerts"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/policies/{policyId}/compliance/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "<string>",
"id": "<string>",
"checkId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"acknowledged": true,
"acknowledgedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"data": {
"lists": [
"<string>"
],
"comment": "<string>",
"externalId": "<string>",
"rawdata": [
{}
]
}
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}compliance
List a policy's compliance alerts
GET
/
policies
/
{policyId}
/
compliance
/
alerts
List a policy's compliance alerts
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Pattern:
^policy(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Query Parameters
the number of items to return
the page to retrieve
Response
200 - application/json
Was this page helpful?
⌘I

